Name: gpdf
Summary: viewer for Portable Document Format (PDF) files for GNOME
Version: 0.131
Release: 2
Group: Applications/Publishing
License: GPL
Source: gpdf-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui-devel >= 2.4.0
BuildRequires: libgnomeprint22-devel
BuildRequires: libgnomeprintui22-devel
BuildRequires: scrollkeeper
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
BuildRequires: gettext
Requires: libgnomeprint22
Requires: libgnomeprintui22
Requires(pre): scrollkeeper

%description
This is GPdf, a viewer for Portable Document Format (PDF) files for
GNOME. GPdf is based on the Xpdf program and uses additional GNOME
libraries for better desktop integration.

GPdf includes the gpdf application, a Bonobo control for PDF display
which can be embedded in Nautilus, and a Nautilus property page for
PDF files.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/gpdf.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/scrollkeeper-update

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gpdf.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
%{_bindir}/scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING CHANGES NEWS AUTHORS README README.GPdf
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome/help/gpdf
%{_datadir}/omf/gpdf
%{_libdir}/bonobo/servers/*
%{_libexecdir}/*
%{_datadir}/applications/*
%{_datadir}/application-registry/gpdf.applications
%{_datadir}/gpdf/
%{_datadir}/mime-info/gpdf.keys
%{_sysconfdir}/gconf/schemas/gpdf.schemas

%changelog
* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com> 0.131-2
- BR scrollkeeper, perl-XML-Parser, desktop-file-utils, gettext

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.131-1
- Update to 0.131

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 0.124-1
- update to 0.124

* Wed Mar  3 2004 Alexander Larsson <alexl@redhat.com> 0.123-2
- pre-require scrollkeeper (#116628)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 0.123-1
- update to 1.123

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.122-1
- new version

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 0.110-1
- Initial spec


